<?php


$header->addSubSection( array(
	'name'     => esc_html__( 'Top Header', 'cakeart' ),
	'id'       => 'display_top_header',
	'position' => 1,
) );

$header->createOption( array(
	'name'        => esc_html__( 'Show Top Bar', 'cakeart' ),
	'id'          => 'topbar_show',
	'type'        => 'checkbox',
	'desc'        => esc_html__( 'Check to show top bar', 'cakeart' ),
	'default'     => true,
	'livepreview' => '
		if(value == false){
			$("#masthead .top-header").css("display", "none");
		}else{
			$("#masthead .top-header").css("display", "block");
		}
	'
) );

$header->createOption( array(
	'name' => esc_html__( 'Background toolbar images', 'cakeart' ),
	'id'   => 'toolbar_background_img',
	'type' => 'upload',
	'desc' => esc_html__( 'Upload your background', 'cakeart' ),
) );

$header->createOption( array(
	'name'        => esc_html__( 'Font Size', 'cakeart' ),
	'id'          => 'font_size_top_header',
	'type'        => 'select',
	'options'     => $font_sizes,
	'default'     => '12px',
	'livepreview' => '$("#masthead .top-header").css("font-size", value);'
) );

$header->createOption( array(
	'name'        => esc_html__( 'Background color', 'cakeart' ),
	'id'          => 'bg_top_header_color',
	'type'        => 'color-opacity',
	'default'     => 'rgba(255,255,255,0)',
	'livepreview' => '$(".top-header").css("background-color", value);'
) );


$header->createOption( array(
	'name'        => esc_html__( 'Text color', 'cakeart' ),
	'id'          => 'top_header_text_color',
	'type'        => 'color-opacity',
	'default'     => '#aaaaaa',
	'livepreview' => '$(".top-header a").css("color", value);'
) );

$header->createOption( array(
	'name'        => esc_html__( 'Link color', 'cakeart' ),
	'id'          => 'top_header_link_color',
	'type'        => 'color-opacity',
	'default'     => '#ffffff',
	'livepreview' => '$(".top-header a").hover(function (e) {
		$(this).css("color", value);
		e.stopPropagation();
  	});;'
) );

$header->createOption( array(
	'name'    => esc_html__( 'Width Top Left Sidebar', 'cakeart' ),
	'id'      => 'width_left_top',
	'type'    => 'number',
	'default' => '6',
	'max'     => '12',
	'min'     => '1',
	'step'    => '1',
	'desc'    => esc_html__( 'width top left', 'cakeart' )
) );

